GNU bug report logs - #39288
Wrong keyboard layout to decrypt hard drive

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Damien Cassou <damien@HIDDEN>; merged with #39632; dated Sun, 26 Jan 2020 11:43:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 39288 39632. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39288 <at> debbugs.gnu.org:


Received: (at 39288) by debbugs.gnu.org; 27 Jan 2020 21:40:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 27 16:40:02 2020
Received: from localhost ([127.0.0.1]:59116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwC70-00029J-0v
	for submit <at> debbugs.gnu.org; Mon, 27 Jan 2020 16:40:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iwC6y-00028u-4d
 for 39288 <at> debbugs.gnu.org; Mon, 27 Jan 2020 16:40:00 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42328)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iwC6s-0001aa-7R; Mon, 27 Jan 2020 16:39:54 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55704 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iwC6r-0005bj-K9; Mon, 27 Jan 2020 16:39:54 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#39288: Wrong keyboard layout to decrypt hard drive
References: <877e1e5trx.fsf@HIDDEN> <877e1epfro.fsf@nckx>
Date: Mon, 27 Jan 2020 22:39:51 +0100
In-Reply-To: <877e1epfro.fsf@nckx> (Tobias Geerinckx-Rice's message of "Sun,
 26 Jan 2020 13:24:11 +0100")
Message-ID: <87o8uofujc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39288
Cc: 39288 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> Could you check whether your system configuration's
> bootloader-configuration actually contains a keyboard-layout field?
>
>       (bootloader (bootloader-configuration
>                     (bootloader grub-efi-bootloader)
>                     (target "/boot/efi")
>       -->           (keyboard-layout keyboard-layout)))

I've heard people using the French keyboard layout like this and having
an encrypted root say that GRUB (stage1) would indeed ignore the chosen
keyboard layout.  (I believe GRUB stage2, where the menu and command
line editing features are present, works fine, but that=E2=80=99s after the
passphrase has been entered.)

A quick search yields:

  https://superuser.com/questions/974833/change-the-keyboard-layout-of-grub=
-in-stage-1

=E2=80=A6 which suggests using =E2=80=98grub-mkstandalone=E2=80=99 (which i=
s undocumented but
looks like a tiny superset of =E2=80=98grub-install=E2=80=99) and explicitl=
y adding the
keyboard layout file to the on the command line.  Should we do that?

Problem is, =E2=80=98install-grub-efi=E2=80=99 isn=E2=80=99t passed the con=
figuration.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#39288; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39288 <at> debbugs.gnu.org:


Received: (at 39288) by debbugs.gnu.org; 26 Jan 2020 12:24:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 26 07:24:12 2020
Received: from localhost ([127.0.0.1]:56610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ivgxY-0004Mi-7J
	for submit <at> debbugs.gnu.org; Sun, 26 Jan 2020 07:24:12 -0500
Received: from tobias.gr ([80.241.217.52]:55296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ivgxW-0004MZ-Ha
 for 39288 <at> debbugs.gnu.org; Sun, 26 Jan 2020 07:24:11 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 6413c014
 for <39288 <at> debbugs.gnu.org>; Sun, 26 Jan 2020 12:24:08 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=aFSVU6/8xHsk3CeeLGD2T5
 KERU+I5hW0QTRjuYLTGhc=; b=B0FSLraKtl1cVLQbSWIzJVjirm2cpjLbrll8oN
 i9Dfy5KWJ8ZxGsph8kVdFFYbf/ZiGMA35r/1ukz2JDdtHVgS9RY0XTujUta62SAw
 J+yfsURZxwV6wV7CSq796/bRFrsnrB7j/jR3C0v78zELaDn10BckwG9gI//Wu5cP
 +NmkIgGRyntmk1UxjOtQ4zp0gZRWi+QHZro9kNgEevsT5Eof/L1ITr45MHwI46Ew
 DfMRGEb1064WSKDv4nPoIwTg13PqdrFBHWYtQ5YONtu8DU0FK+YV0SVQXCUdev4f
 Xz1MZvh8q/MPCER/aGvsS/mi4obx43bZ4tZydheIRB3pNehA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1ffb54aa
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <39288 <at> debbugs.gnu.org>;
 Sun, 26 Jan 2020 12:24:08 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 39288 <at> debbugs.gnu.org
Subject: Re: bug#39288: Wrong keyboard layout to decrypt hard drive
References: <877e1e5trx.fsf@HIDDEN>
In-reply-to: <877e1e5trx.fsf@HIDDEN>
Date: Sun, 26 Jan 2020 13:24:11 +0100
Message-ID: <877e1epfro.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39288
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Damien,

Damien Cassou =E5=86=99=E9=81=93=EF=BC=9A
> during graphical installation I chose to encrypt my hard drive=20
> and to
> use the colemak keyboard layout. After the system rebooted,=20
> typing the
> passphrase in colemak didn't work and I got dropped into rescue
> mode. The rescue mode is in qwerty, not colemak.

Could you check whether your system configuration's=20
bootloader-configuration actually contains a keyboard-layout=20
field?

       (bootloader (bootloader-configuration
                     (bootloader grub-efi-bootloader)
                     (target "/boot/efi")
       -->           (keyboard-layout keyboard-layout)))

The last time I tried adding this myself (granted: that was a year=20
ago) it broke my GRUB, so today I still type my passphrase once in=20
Qwerty and once in Dvorak.  Much secure!

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl4thOsACgkQ2Imw8BjF
STzh8BAAnVej93r9IzPj1koAZVhxAIME4JvlukGTHNOPzIzSIWasaGuwMXdqGrdw
G6RmrhkJu9/muOrKaK3oOLkEHOlf1pd9Ktfx02ktrdIrFIlKH9O4cYg3N1vmFgfT
Q3oWcMxp0pGvSMzpeLy1yqGLFB9I21bQbHkHro2niVUsAwLTdM+e49XX4cZVV5SG
mZdJDbfdcnN26oNZQyL0uxfZulrEy7WQPKeKDJXcOkRmokgSJns06caDRxOnGzMI
FHMemBt8jSRcICv4rNJlGWzoZp0If9ceACcbA2SBTnd/aQoU28pOU5PFA9Q4EGcg
MoIVPAFPyvKCsBqwqszHrJ2kkxvCb6S9PqK+vzUMsOZgtiW8Slx8hQ5fEsG9cE5N
qqMIzUE5+jeZu6X+bqoS/Rm0HzueoUytbPDFovTSqqxl2TT/vtrcIgmVbDvOPi0u
BPgK1N2hVzt5/70O9ZpZLwXcWj1jQjNpEPDF8tflEuLjeFRWJDwFxbMTpqhQU47N
i+we63w0saT7TNqiAP0Ij5CBlv/iX5Ckbhcv1TtJpMUjiyOMs/EG9JHQnTaQe7Ey
ZUW+aAHkTOGZCQ4AFqV0dkdoV5jj0KKlq/TwuzdCnRxcHPLBgjToIOkcR0fvB35m
DvdKkdofrcXnupTNMbzLjgT6bAkEuRwV5m411qVH13AB/xJry+s=
=SE2T
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39288; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2020 11:42:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 26 06:42:02 2020
Received: from localhost ([127.0.0.1]:56578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ivgIk-0001Ec-4i
	for submit <at> debbugs.gnu.org; Sun, 26 Jan 2020 06:42:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:37520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1ivgIh-0001EM-TF
 for submit <at> debbugs.gnu.org; Sun, 26 Jan 2020 06:42:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:47181)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <damien@HIDDEN>) id 1ivgIg-0004p6-Up
 for bug-guix@HIDDEN; Sun, 26 Jan 2020 06:41:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <damien@HIDDEN>) id 1ivgIg-0001JW-1m
 for bug-guix@HIDDEN; Sun, 26 Jan 2020 06:41:58 -0500
Received: from mail.choca.pics ([2001:910:1410:500::1]:41518)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <damien@HIDDEN>) id 1ivgIf-0001G2-Sr
 for bug-guix@HIDDEN; Sun, 26 Jan 2020 06:41:58 -0500
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 58EFC181929FB
 for <bug-guix@HIDDEN>; Sun, 26 Jan 2020 12:41:55 +0100 (CET)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id XDIBe2IIt4Gh for <bug-guix@HIDDEN>;
 Sun, 26 Jan 2020 12:41:55 +0100 (CET)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 0F853181929E6
 for <bug-guix@HIDDEN>; Sun, 26 Jan 2020 12:41:55 +0100 (CET)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id vZ6cE_qfyv4q for <bug-guix@HIDDEN>;
 Sun, 26 Jan 2020 12:41:54 +0100 (CET)
Received: from luz4 (57.139.120.78.rev.sfr.net [78.120.139.57])
 by mail.choca.pics (Postfix) with ESMTPSA id C6D1518192B2D
 for <bug-guix@HIDDEN>; Sun, 26 Jan 2020 12:41:54 +0100 (CET)
From: Damien Cassou <damien@HIDDEN>
To: bug-guix@HIDDEN
Subject: Wrong keyboard layout to decrypt hard drive
Date: Sun, 26 Jan 2020 12:41:54 +0100
Message-ID: <877e1e5trx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:910:1410:500::1
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hi,

during graphical installation I chose to encrypt my hard drive and to
use the colemak keyboard layout. After the system rebooted, typing the
passphrase in colemak didn't work and I got dropped into rescue
mode. The rescue mode is in qwerty, not colemak.

Best,

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Acknowledgement sent to Damien Cassou <damien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#39288; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Feb 2020 14:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.